﻿

/**
 * my.CheckBoxCell
 *
 * Customized my.CheckBoxCell. Changes just the appearance key.
 */
qx.Class.define("my.CheckBoxCell", {

    extend: wisej.web.datagrid.cellRenderer.CheckBoxCell,

    properties: {

        /**
		 * Appearance key for the cell renderer.
		 */
        appearance: { init: "my-checkbox-cell", refine: true },
    },

    members: {

        /**
		 * Creates the additional css classes needed for this renderer.
		 */
        _registerCssClasses: function () {

            this.base(arguments);

            var styleMgr = this._styleMgr;

            // checkbox element.
            this._contentCheckBoxClassName = styleMgr.getCssClass("my-checkbox-cell/checkbox", {}, wisej.web.datagrid.cellRenderer.CheckBoxCell.DEFAULT_CHECKBOX_CSS);
            this._contentCheckBoxCheckedClassName = styleMgr.getCssClass("my-checkbox-cell/checkbox", { checked: true }, wisej.web.datagrid.cellRenderer.CheckBoxCell.DEFAULT_CHECKBOX_CSS);
            this._contentCheckBoxUndeterminedClassName = styleMgr.getCssClass("my-checkbox-cell/checkbox", { undetermined: true }, wisej.web.datagrid.cellRenderer.CheckBoxCell.DEFAULT_CHECKBOX_CSS);
        },
    }

});