﻿

/**
 * my.CheckBoxCell
 *
 * Customized my.CheckBoxCell. Changes just the appearance key.
 */
qx.Class.define("w.DataGridViewCheckBoxCellCVA", {

	extend: wisej.web.datagrid.cellRenderer.CheckBoxCell,

	properties: {

		/**
		 * Appearance key for the cell renderer.
		 */
	    appearance: { init: "w-DataGridViewCheckBoxCellCVA", refine: true },
	},

	members: {

		/**
		 * Creates the additional css classes needed for this renderer.
		 */
		_registerCssClasses: function () {

			this.base(arguments);

			var styleMgr = this._styleMgr;

			// checkbox element.
			this._contentCheckBoxClassName = styleMgr.getCssClass("w-DataGridViewCheckBoxCellCVA/checkbox", {}, wisej.web.datagrid.cellRenderer.CheckBoxCell.DEFAULT_CHECKBOX_CSS);
			this._contentCheckBoxCheckedClassName = styleMgr.getCssClass("w-DataGridViewCheckBoxCellCVA/checkbox", { checked: true }, wisej.web.datagrid.cellRenderer.CheckBoxCell.DEFAULT_CHECKBOX_CSS);
			this._contentCheckBoxUndeterminedClassName = styleMgr.getCssClass("w-DataGridViewCheckBoxCellCVA/checkbox", { undetermined: true }, wisej.web.datagrid.cellRenderer.CheckBoxCell.DEFAULT_CHECKBOX_CSS);
		},
	}

});